Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0038631
TypeCategorySeverityReproducibilityDate SubmittedLast Update
backport[Openbravo ERP] A. Platformminorhave not tried2018-05-25 12:302018-06-01 09:53
ReportercaristuView Statuspublic 
Assigned Tocaristu 
PriorityhighResolutionfixedFixed in Version3.0PR18Q2.1
StatusclosedFix in branchFixed in SCM revision49df7805985a
ProjectionnoneETAnoneTarget Version3.0PR18Q2.1
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Toalostale
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0038631: Specify the HTML version to use when building the javadoc

DescriptionStarting from JDK10, a warning is shown in the javadoc generation task if the HTML version to use is not specified.
Steps To Reproduce1) Run ant generate.java.doc with JDK10
2) The following warning appears:
....
  [javadoc] Constructing Javadoc information...
  [javadoc] javadoc: warning - You have not specified the version of HTML to use.
  [javadoc] The default is currently HTML 4.01, but this will change to HTML5
  [javadoc] in a future release. To suppress this warning, please specify the
  [javadoc] version of HTML used in your documentation comments and to be
  [javadoc] generated by this doclet, using the -html4 or -html5 options.
....


TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
blocks defect 0038630 closedcaristu Specify the HTML version to use when building the javadoc 

-  Notes
(0104714)
hgbot (developer)
2018-05-25 13:07

Repository: erp/backports/3.0PR18Q2.1
Changeset: 49df7805985a71edf109495dd5615fde19da83c1
Author: Carlos Aristu <carlos.aristu <at> openbravo.com>
Date: Fri May 25 12:59:25 2018 +0200
URL: http://code.openbravo.com/erp/backports/3.0PR18Q2.1/rev/49df7805985a71edf109495dd5615fde19da83c1 [^]

fixes issue 38631: Specify the HTML version to use when building the javadoc

  Starting from JDK9 it is possible to specify the HTML version to use when building the javadoc. In JDK10, if the format is not specified a warning is displayed.

  Setting HTML5 as the default format starting from JDK9.

---
M build.xml
---
(0104862)
alostale (developer)
2018-06-01 09:53

reviewed + tested

- Issue History
Date Modified Username Field Change
2018-05-25 12:31 caristu Type defect => backport
2018-05-25 12:31 caristu Target Version => 3.0PR18Q2.1
2018-05-25 13:07 hgbot Checkin
2018-05-25 13:07 hgbot Note Added: 0104714
2018-05-25 13:07 hgbot Status scheduled => resolved
2018-05-25 13:07 hgbot Resolution open => fixed
2018-05-25 13:07 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/backports/3.0PR18Q2.1/rev/49df7805985a71edf109495dd5615fde19da83c1 [^]
2018-05-25 13:07 caristu Review Assigned To => alostale
2018-06-01 09:53 alostale Note Added: 0104862
2018-06-01 09:53 alostale Status resolved => closed
2018-06-01 09:53 alostale Fixed in Version => 3.0PR18Q2.1


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker